#! /usr/bin/python
# monitoreo.py V 4.1
# 2011-05-12
# Copyright (c) 2007 Plan CEIBAL
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

# EL servidor de la escuela debe correr el script mppdata.py que escucha
# conexiones telnet en un puerto las peticiones de la funcion MONITOREO
# con los parametros que se mostraran mas adelante

import os
import time
import random

from ceibal import util

def monitoreo():
    server = util.get_gateway()
    port = 5000
    if os.path.exists("/ofw/"):
        from ceibal.laptops import XO
        laptop = XO()    
    elif os.path.exists('/etc/ceibal-version'):
        from ceibal.laptops import MG2
        laptop = MG2()    
    else:
        from ceibal.laptops import JumPc
        laptop = JumPc()    
    laptop.send_data(server, port, "")

if __name__== "__main__":
    try:
        time.sleep(random.randrange(0,20))
        if len(os.popen("/sbin/route | grep default").readline().split()):
            monitoreo()
    except:
        pass

